<template>
  <div>
    <select :id="id" v-model="currentValue" class="dibs--form--input">
      <option
        v-for="(option, optionId) in options"
        :key="`${id}-${optionId}`"
        :value="
          option.value !== undefined
            ? option.value
            : option.label
              ? option.label
              : option
        "
      >
        {{ option.label ? option.label : option }}
      </option>
    </select>
  </div>
</template>
<script>
export default {
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String, Number],
      default: null,
    },
    options: {
      type: [Array],
      required: true,
    },
  },
  emits: {
    "update:modelValue": null,
  },
  data() {
    return {
      currentValue: this.default,
    };
  },
  watch: {
    currentValue(value) {
      this.$emit("update:modelValue", value);
    },
  },
};
</script>
